Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IMediaNodeFactoryEx Class Referenceabstract

`#include <media_node_factory_i.h>`

Inherits agora::rtc::IMediaNodeFactory.

## Public Member Functions
virtual | ~IMediaNodeFactoryEx ()
virtual agora_refptr< IVideoFrameAdapter > | createVideoFrameAdapter ()=0
virtual agora_refptr< rtc::IObservableVideoSink > | createObservableVideoSink (media::IVideoFrameObserver *observer, VideoTrackInfo trackInfo)=0
virtual agora_refptr< rtc::IObservableVideoFilter > | createObservableVideoFilter (media::IVideoFrameObserver *observer, VideoTrackInfo trackInfo)=0
virtual agora_refptr< ICameraCapturerEx > | createCameraCapturerLLApiInternal ()=0
virtual agora_refptr< IScreenCapturerEx > | createScreenCapturerLLApiInternal ()=0
virtual agora_refptr< IVideoMixerSourceEx > | createVideoMixerLLApiInternal ()=0
virtual agora_refptr< IVideoFrameTransceiverEx > | createVideoFrameTransceiverLLApiInternal ()=0
virtual agora_refptr< IVideoFrameSenderEx > | createVideoFrameSenderLLApiInternal ()=0
virtual agora::agora_refptr< agora::rtc::IVideoEncodedImageSenderEx > | createVideoEncodedImageSenderLLApiInternal ()=0
virtual agora_refptr< IVideoRenderer > | createVideoRendererLLApiInternal ()=0
virtual agora_refptr< IAudioFilter > | createAudioFilterLLApiInternal (const char *provider_name, const char *extension_name)=0
virtual agora_refptr< IVideoFilter > | createVideoFilterLLApiInternal (const char *provider_name, const char *extension_name)=0
virtual agora_refptr< IVideoSinkBase > | createVideoSinkLLApiInternal (const char *provider_name, const char *extension_name)=0
virtual agora_refptr< IAudioPcmDataSender > | createAudioPcmDataSenderLLApiInternal ()=0
virtual agora_refptr< IAudioEncodedFrameSender > | createAudioEncodedFrameSenderLLApiInternal ()=0
virtual agora_refptr< rtc::IMediaPlayerSource > | createMediaPlayerSourceLLApiInternal (media::base::MEDIA_PLAYER_SOURCE_TYPE type)=0
virtual agora_refptr< rtc::IMediaStreamingSource > | createMediaStreamingSourceLLApiInternal ()=0
virtual agora_refptr< IMediaPacketSender > | createMediaPacketSenderLLApiInternal ()=0
virtual agora_refptr< IMediaRecorder2 > | createMediaRecorderLLApiInternal ()=0
virtual agora_refptr< IScreenCapturerEx2 > | createScreenCapturer2LLApiInternal (const char *provider_name, const char *extension_name)=0
virtual agora_refptr< IScreenCapturerEx > | createScreenCapturerLLApiInternal (const char *provider_name, const char *extension_name)=0
Public Member Functions inherited from agora::rtc::IMediaNodeFactory
virtual agora_refptr< IAudioPcmDataSender > | createAudioPcmDataSender ()=0
virtual agora_refptr< IAudioEncodedFrameSender > | createAudioEncodedFrameSender ()=0
virtual agora_refptr< ICameraCapturer > | createCameraCapturer ()=0
virtual agora_refptr< IScreenCapturer > | createScreenCapturer ()=0
virtual agora_refptr< IVideoMixerSource > | createVideoMixer ()=0
virtual agora_refptr< IVideoFrameTransceiver > | createVideoFrameTransceiver ()=0
virtual agora_refptr< IVideoFrameSender > | createVideoFrameSender ()=0
virtual agora_refptr< IVideoEncodedImageSender > | createVideoEncodedImageSender ()=0
virtual agora_refptr< IVideoRenderer > | createVideoRenderer ()=0
virtual agora_refptr< IAudioFilter > | createAudioFilter (const char *provider_name, const char *extension_name)=0
virtual agora_refptr< IVideoFilter > | createVideoFilter (const char *provider_name, const char *extension_name)=0
virtual agora_refptr< IVideoSinkBase > | createVideoSink (const char *provider_name, const char *extension_name)=0
virtual agora_refptr< IMediaPlayerSource > | createMediaPlayerSource (media::base::MEDIA_PLAYER_SOURCE_TYPE type=agora::media::base::MEDIA_PLAYER_SOURCE_DEFAULT)=0
virtual agora_refptr< IMediaStreamingSource > | createMediaStreamingSource ()=0
virtual agora_refptr< IMediaPacketSender > | createMediaPacketSender ()=0
virtual agora_refptr< IMediaRecorder2 > | createMediaRecorder ()=0
virtual agora_refptr< IScreenCapturer2 > | createScreenCapturer2 (const char *provider_name, const char *extension_name)=0
virtual agora_refptr< IScreenCapturer > | createScreenCapturer (const char *provider_name, const char *extension_name)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::rtc::IMediaNodeFactory
| ~IMediaNodeFactory ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IMediaNodeFactoryEx()

virtual agora::rtc::IMediaNodeFactoryEx::~IMediaNodeFactoryEx | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ createVideoFrameAdapter()

virtual agora_refptr< IVideoFrameAdapter > agora::rtc::IMediaNodeFactoryEx::createVideoFrameAdapter | ( |  | ) |
| pure virtual

This method creates built-in video frame adapter

## ◆ createObservableVideoSink()

virtual agora_refptr< rtc::IObservableVideoSink > agora::rtc::IMediaNodeFactoryEx::createObservableVideoSink | ( | media::IVideoFrameObserver * | observer,
|  | VideoTrackInfo | trackInfo )
| pure virtual

Creates a observable video sink

This method creates an IVideoSinkBase object, which can be used to observe video

Parameters

  observer | The pointer to the observer, must not be NULL
  trackInfo | The info of the track that needs observer

Returns
  - The pointer to IVideoSinkBase, if the method call succeeds.
  - The empty pointer NULL, if the method call fails.

## ◆ createObservableVideoFilter()

virtual agora_refptr< rtc::IObservableVideoFilter > agora::rtc::IMediaNodeFactoryEx::createObservableVideoFilter | ( | media::IVideoFrameObserver * | observer,
|  | VideoTrackInfo | trackInfo )
| pure virtual

Creates a observable video filter

This method creates an IVideoSinkBase object, which can be used to observe video

Parameters

  observer | The pointer to the observer, could be NULL and set by the |setVideoFrameObserver| method later on.
  trackInfo | The info of the track that needs observer

Returns
  - The pointer to IVideoFilterBase, if the method call succeeds.
  - The empty pointer NULL, if the method call fails.

## ◆ createCameraCapturerLLApiInternal()

virtual agora_refptr< ICameraCapturerEx > agora::rtc::IMediaNodeFactoryEx::createCameraCapturerLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createScreenCapturerLLApiInternal() [1/2]

virtual agora_refptr< IScreenCapturerEx > agora::rtc::IMediaNodeFactoryEx::createScreenCapturerLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createVideoMixerLLApiInternal()

virtual agora_refptr< IVideoMixerSourceEx > agora::rtc::IMediaNodeFactoryEx::createVideoMixerLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createVideoFrameTransceiverLLApiInternal()

virtual agora_refptr< IVideoFrameTransceiverEx > agora::rtc::IMediaNodeFactoryEx::createVideoFrameTransceiverLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createVideoFrameSenderLLApiInternal()

virtual agora_refptr< IVideoFrameSenderEx > agora::rtc::IMediaNodeFactoryEx::createVideoFrameSenderLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createVideoEncodedImageSenderLLApiInternal()

virtual agora::agora_refptr< agora::rtc::IVideoEncodedImageSenderEx > agora::rtc::IMediaNodeFactoryEx::createVideoEncodedImageSenderLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createVideoRendererLLApiInternal()

virtual agora_refptr< IVideoRenderer > agora::rtc::IMediaNodeFactoryEx::createVideoRendererLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createAudioFilterLLApiInternal()

virtual agora_refptr< IAudioFilter > agora::rtc::IMediaNodeFactoryEx::createAudioFilterLLApiInternal | ( | const char * | provider_name,
|  | const char * | extension_name )
| pure virtual

## ◆ createVideoFilterLLApiInternal()

virtual agora_refptr< IVideoFilter > agora::rtc::IMediaNodeFactoryEx::createVideoFilterLLApiInternal | ( | const char * | provider_name,
|  | const char * | extension_name )
| pure virtual

## ◆ createVideoSinkLLApiInternal()

virtual agora_refptr< IVideoSinkBase > agora::rtc::IMediaNodeFactoryEx::createVideoSinkLLApiInternal | ( | const char * | provider_name,
|  | const char * | extension_name )
| pure virtual

## ◆ createAudioPcmDataSenderLLApiInternal()

virtual agora_refptr< IAudioPcmDataSender > agora::rtc::IMediaNodeFactoryEx::createAudioPcmDataSenderLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createAudioEncodedFrameSenderLLApiInternal()

virtual agora_refptr< IAudioEncodedFrameSender > agora::rtc::IMediaNodeFactoryEx::createAudioEncodedFrameSenderLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createMediaPlayerSourceLLApiInternal()

virtual agora_refptr< rtc::IMediaPlayerSource > agora::rtc::IMediaNodeFactoryEx::createMediaPlayerSourceLLApiInternal | ( | media::base::MEDIA_PLAYER_SOURCE_TYPE | type | ) |
| pure virtual

## ◆ createMediaStreamingSourceLLApiInternal()

virtual agora_refptr< rtc::IMediaStreamingSource > agora::rtc::IMediaNodeFactoryEx::createMediaStreamingSourceLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createMediaPacketSenderLLApiInternal()

virtual agora_refptr< IMediaPacketSender > agora::rtc::IMediaNodeFactoryEx::createMediaPacketSenderLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createMediaRecorderLLApiInternal()

virtual agora_refptr< IMediaRecorder2 > agora::rtc::IMediaNodeFactoryEx::createMediaRecorderLLApiInternal | ( |  | ) |
| pure virtual

## ◆ createScreenCapturer2LLApiInternal()

virtual agora_refptr< IScreenCapturerEx2 > agora::rtc::IMediaNodeFactoryEx::createScreenCapturer2LLApiInternal | ( | const char * | provider_name,
|  | const char * | extension_name )
| pure virtual

## ◆ createScreenCapturerLLApiInternal() [2/2]

virtual agora_refptr< IScreenCapturerEx > agora::rtc::IMediaNodeFactoryEx::createScreenCapturerLLApiInternal | ( | const char * | provider_name,
|  | const char * | extension_name )
| pure virtual